package com.template.mapper;

import com.template.domain.CarType;
import com.template.domain.SysCar;
import com.template.domain.resp.CarTypeResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：liuxinyue
 * @Package：com.template.mapper
 * @Project：cloud-server
 * @name：CarMapper
 * @Date：2024/9/21 9:26
 */
@Mapper
public interface CarMapper {

    SysCar findCarByVin(@Param("carVin") String carVin);

    CarType carMapper(@Param("carTypeId") Long carTypeId);

    List<CarTypeResp> findAllCars();
}
